linux下安装openssh-server

系统是ubuntu14.04,系统默认安装了openssh-client,但没有安装openssh-server,需要手动安装

终端输入: sudo apt-get install openssh-server 下载openssh-server

 

但出现下列提示:  

  正在读取软件包列表... 完成
  正在分析软件包的依赖关系树      
  正在读取状态信息... 完成      
  有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
  因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
  包尚未被创建或是它们已被从新到(Incoming)目录移出。
  下列信息可能会对解决问题有所帮助:
 
  下列软件包有未满足的依赖关系:
   openssh-server : 依赖: openssh-client (= 1:6.6p1-2ubuntu1)

原因是openssh-client与openssh-server所依赖的版本不同,解决方法是下载对应版本的openssh-client后再下载openssh-server。

终端输入: sudo apt-get install openssh-client=1:6.6p1-2ubuntu1 下载openssh-client。

 

openssh-client下载完成后再输入openssh-server下载命令即可。

 

下载完成后可再输入 ps -e | grep ssh 来查看是否安装成功。如果出现下图这项,则说明已经启动。

技术分享

 

如果没有启动,则在终端输入 sudo /etc/init.d/ssh start 启动服务。

 

声明:本站内容如果来自互联网及其他传播媒体,其版权均属原媒体及文章作者所有。转载目的在于传递更多信息及用于网络分享,并不代表本站赞同其观点和对其真实性负责,也不构成任何其他建议。

linux下安装openssh-server